Tag

openjdk:8u292-jre
Content Digest: sha256:0edfb17382894b478e88ab7816e4b1d2361fb2f7479ca5539fbffae8cda416d7
Manifests
Details
Content Digest

sha256:d75a3956451e496fb2c00820a70af526d0864547960800faea989beab15424af

Created

2021-06-26 09:15:22 CST

Size

110 MB


Environment
JAVA_HOME

/usr/local/openjdk-8

JAVA_VERSION

8u292

LANG

C.UTF-8

PATH

/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0bc3020d05f1e08b41f1c5d54650a157b1690cde7fedb1fafbc9cda70ee2ec5c - 43.81% (48.1 MB)

[#001] sha256:a110e58716600c199fc95f633b30735c33a25b5adcfb16d1d7edbcb78a3f1b62 - 6.8% (7.47 MB)

[#002] sha256:83d3c0fa203acbade733bff627daa75b84c97f9d0553bcdf967a3f1d37471277 - 8.68% (9.53 MB)

[#003] sha256:4bcf6932eea7cabafd141603159832081be84baa173ba18510bbe57c2e083513 - 4.8% (5.27 MB)

[#004] sha256:63c38fddae306139e0ced7c79a3f314a8cae02935edf7024f1a68f22dba694b9 - 0.0% (210 Bytes)

[#005] sha256:2ce8496061d5e90c5aee04a1e5874fd016d28b5dba759d8e2b822c46f8230128 - 35.9% (39.4 MB)


History
2021-06-23 08:20:25 CST

/bin/sh -c #(nop) ADD file:a232795a746e5842d1a864a00462be6bd86543aeed8d06d2830dd955a4c1b3fc in /

2021-06-23 08:20:25 CST

/bin/sh -c #(nop) CMD ["bash"]

2021-06-23 08:52:59 CST

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*

2021-06-23 08:53:06 CST

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2021-06-23 16:04:19 CST

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends bzip2 unzip xz-utils fontconfig libfreetype6 ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2021-06-23 16:05:52 CST

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-8

2021-06-23 16:05:53 CST

/bin/sh -c { echo '#/bin/sh'; echo 'echo "$JAVA_HOME"'; } > /usr/local/bin/docker-java-home && chmod +x /usr/local/bin/docker-java-home && [ "$JAVA_HOME" = "$(docker-java-home)" ] # backwards compatibility

2021-06-23 16:05:54 CST

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2021-06-23 16:05:54 CST

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2021-06-23 16:05:54 CST

/bin/sh -c #(nop) ENV JAVA_VERSION=8u292

2021-06-26 09:15:22 CST

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jre_x64_linux_8u292b10.tar.gz'; ;; 'arm64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jre_aarch64_linux_8u292b10.tar.gz'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; wget --progress=dot:giga -O openjdk.tgz.asc "$downloadUrl.sign"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys EAC843EBD3EFDB98CC772FADA5CD6035332FA671; gpg --batch --keyserver keyserver.ubuntu.com --keyserver-options no-self-sigs-only --recv-keys CA5F11C6CE22644D42C6AC4492EF8D39DC13168F; gpg --batch --list-sigs --keyid-format 0xLONG CA5F11C6CE22644D42C6AC4492EF8D39DC13168F | tee /dev/stderr | grep '0xA5CD6035332FA671' | grep 'Andrew Haley'; gpg --batch --verify openjdk.tgz.asc openjdk.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME"; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -version

Details
Content Digest

sha256:b6e8fa53f3afca80d079cfd4f40af0dbf028dc2bc734309c8b13474444e49791

Created

2021-07-14 11:32:48 CST

Size

2.54 GB


Environment
JAVA_HOME

C:\openjdk-8

JAVA_URL

https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jre_x64_windows_8u292b10.zip

JAVA_VERSION

8u292


Layers

[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 63.06% (1.6 GB)

[#001] sha256:f143c6fed32d477c35b660b2e108ea62e3593c03e44bd9ced208ce52b26b0841 - 35.49% (922 MB)

[#002] sha256:dd3b24b55401566ea01a5005138a23766b6b6408c2276b7ebd097da01de80897 - 0.0% (1.4 KB)

[#003] sha256:60588ed228454a5b9a3ebf90d5ae7109392676a95ebab716cf7bd486f4e257ae - 0.01% (357 KB)

[#004] sha256:f68970323f0b6ec54bb20dc3360fbc29509da69654cce4a6dbc7f2ec5d9fafc2 - 0.0% (1.41 KB)

[#005] sha256:b5ecd9058194fde9172d67b5574059a32977e9d8c19e51e5a7b56a31c1c24af6 - 0.01% (316 KB)

[#006] sha256:c86639dd22c5a35bc15a2b1f8c51e51806b7b9fb33205dcc543ae9e6cdb57860 - 0.0% (1.38 KB)

[#007] sha256:58e2c5becb64a2e9b179c9b3abaa9739e7d01f9f0d0c3b4090ea43c86461110b - 0.0% (1.39 KB)

[#008] sha256:b18b521b59cd86e60f7767b7684b611eb69aa76d40f89927205716e249e7367a - 1.42% (36.8 MB)


History
2020-05-07 13:09:25 CST

Apply image 1809-RTM-amd64

2021-07-07 04:34:18 CST

Install update 1809-amd64

2021-07-14 10:41:59 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2021-07-14 10:43:11 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2021-07-14 11:23:56 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-8

2021-07-14 11:24:56 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2021-07-14 11:24:59 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=8u292

2021-07-14 11:31:36 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jre_x64_windows_8u292b10.zip

2021-07-14 11:32:48 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' java -version'; java -version; Write-Host 'Complete.'

Details
Content Digest

sha256:65998f0109d95096b1c2220226ca627d223041f86db0c806928db18838984984

Created

2021-07-14 11:34:37 CST

Size

5.88 GB


Environment
JAVA_HOME

C:\openjdk-8

JAVA_URL

https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jre_x64_windows_8u292b10.zip

JAVA_VERSION

8u292


Layers

[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 64.51% (3.79 GB)

[#001] sha256:a567de41cc349380b25967f180fb1b6b2431bda61ccaaf69d78a33bc9523614a - 34.87% (2.05 GB)

[#002] sha256:624cc64d28951435759fcbbc930532718666f3285fc939c97e36c2cda79f80f2 - 0.0% (1.27 KB)

[#003] sha256:2c4efeafa471485cac56b3d111ef85272828cab146a6a1ada3aeff81bcb4dda8 - 0.01% (321 KB)

[#004] sha256:8017cc89e6bc96c216b27055aedcfd94f51eecff9391b9371c9826f138f8559d - 0.0% (1.4 KB)

[#005] sha256:16a1f1845e634c6d638e37e65cfa06b3e4c9c5638adefe026139608f3dc8d2a8 - 0.01% (359 KB)

[#006] sha256:5daebce1e4fc87e2399e99fa6d876a83ebad8ec51198814dc8ff02840f174935 - 0.0% (1.4 KB)

[#007] sha256:aadc5437639a9599afafbdcce894aae47938b97b1a834df555c867a911f2d9ac - 0.0% (1.39 KB)

[#008] sha256:18ad8900fec9e4437d8402ee47e377adad74e2d9bde1497a54b322cd45c0b865 - 0.61% (36.8 MB)


History
2016-11-20 01:05:00 CST

Apply image 1607-RTM-amd64

2021-07-09 13:02:00 CST

Install update ltsc2016-amd64

2021-07-14 10:46:12 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2021-07-14 10:47:31 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2021-07-14 11:26:39 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-8

2021-07-14 11:28:09 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2021-07-14 11:28:11 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=8u292

2021-07-14 11:33:02 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jre_x64_windows_8u292b10.zip

2021-07-14 11:34:37 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' java -version'; java -version; Write-Host 'Complete.'

Details
Content Digest

sha256:a5a0f43c40ef5092bf6d4062fad46e6eea16118cc38de3368799b44bebd123df

Created

2021-06-26 08:30:06 CST

Size

108 MB


Environment
JAVA_HOME

/usr/local/openjdk-8

JAVA_VERSION

8u292

LANG

C.UTF-8

PATH

/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:310b368da98207b4fd030cc969461bfba1ea7c73fc5da1f015e05570d3eb2510 - 43.55% (46.9 MB)

[#001] sha256:86422c44ee005c4d5ccb0e2fa32685229207b712728cd4b8c0ef97174f079df7 - 6.81% (7.34 MB)

[#002] sha256:9137877e0c26a439a8954003b21876b6059de852c839631e8cf6fda5bd36434c - 8.83% (9.52 MB)

[#003] sha256:50d1d331ac2af967894415ca2b53934e058f463d50cd9491a4866f7724884fe9 - 4.87% (5.25 MB)

[#004] sha256:9085390bb031eb1d545e91db307bf5df5a467e9529f48e49a032ec66ac940952 - 0.0% (211 Bytes)

[#005] sha256:19cf8c42f3faeb0aa58a47d167f2eff17d4f0881942ca8902db6d8fe5b46f996 - 35.94% (38.7 MB)


History
2021-06-23 07:49:24 CST

/bin/sh -c #(nop) ADD file:bc9eebfc439e3fbf9db01c98dc2448d9bededd394b893e397661227b81859dea in /

2021-06-23 07:49:25 CST

/bin/sh -c #(nop) CMD ["bash"]

2021-06-23 08:24:36 CST

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl netbase wget ; rm -rf /var/lib/apt/lists/*

2021-06-23 08:24:42 CST

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2021-06-23 13:00:25 CST

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends bzip2 unzip xz-utils fontconfig libfreetype6 ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2021-06-23 13:01:58 CST

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-8

2021-06-23 13:01:59 CST

/bin/sh -c { echo '#/bin/sh'; echo 'echo "$JAVA_HOME"'; } > /usr/local/bin/docker-java-home && chmod +x /usr/local/bin/docker-java-home && [ "$JAVA_HOME" = "$(docker-java-home)" ] # backwards compatibility

2021-06-23 13:01:59 CST

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-8/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2021-06-23 13:01:59 CST

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2021-06-23 13:01:59 CST

/bin/sh -c #(nop) ENV JAVA_VERSION=8u292

2021-06-26 08:30:06 CST

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jre_x64_linux_8u292b10.tar.gz'; ;; 'arm64') downloadUrl='https://github.com/AdoptOpenJDK/openjdk8-upstream-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jre_aarch64_linux_8u292b10.tar.gz'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; wget --progress=dot:giga -O openjdk.tgz.asc "$downloadUrl.sign"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys EAC843EBD3EFDB98CC772FADA5CD6035332FA671; gpg --batch --keyserver keyserver.ubuntu.com --keyserver-options no-self-sigs-only --recv-keys CA5F11C6CE22644D42C6AC4492EF8D39DC13168F; gpg --batch --list-sigs --keyid-format 0xLONG CA5F11C6CE22644D42C6AC4492EF8D39DC13168F | tee /dev/stderr | grep '0xA5CD6035332FA671' | grep 'Andrew Haley'; gpg --batch --verify openjdk.tgz.asc openjdk.tgz; gpgconf --kill all; rm -rf "$GNUPGHOME"; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.